Subject: PLESSE LOOK IN THIS CASE.
From: Shaitan Singh <[email-masked]>
To: Rosette Modiri <[email-masked]>
Date: Fri, 8 Nov 2019 11:25:31 -0700 (MST)

CASE1368529 
Where is my scooter? C2447397 Jerret Stovall 

Thanks for offering to upgrade my scooter. I feel like I was a little too aggressive in my last email so I'd like to apologize as well. The only issue I have with accepting the upgrade it that I also purchased a 3 year protection plan when I purchased my scooter and I would like the upgrade to be covered by it as well. Just in case I get another defective unit. If that can be done I'll gladly take it.